## DOMString ixmlPrintNode

## (IXML_Node* doc )

> Renders a Node and all sub-elements into an XML text representation.

## Documentation

> Renders a Node and all sub-elements into an XML text representation. The caller is required to free the DOMString returned from this function using ixmlFreeDOMString when it is no longer required.

> Note that this function can be used for any Node-derived interface. A similar ixmlPrintDocument function is defined to avoid casting when printing whole documents. This function introduces lots of white space to print the DOMString in readable format.

Parameters:
  doc - The root of the Node tree to render to XML text.
Returns:
  [DOMString] A DOMString with the XML text representation of the DOM tree or `NULL` on an error.

Alphabetic index

This page was generated with the help of DOC++.